# Class JExternalAppApi

#### Hierarchy (View Summary)

- JBaseApi
  - JExternalAppApi

- Defined in jamespot-user-api/src/apis/externalApp/externalApp.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

delete
list
save

## Constructors

### constructor

- new JExternalAppApi(jApi: JamespotUserApi): JExternalAppApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JExternalAppApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### delete

- delete(
  payload: { id: string },
  params?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - payload: { id: string }
  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/externalApp/externalApp.ts:31

### list

- list(
  params?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<Record<string, ExternalAppType>, BaseMessages>>

  #### Parameters

  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<Record<string, ExternalAppType>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/externalApp/externalApp.ts:21

### save

- save(
  payload: Omit<ExternalAppType, "id" | "customImageUri"> & {
  customImageFile?: File | null;
  id?: string;
  },
  params?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<ExternalAppType, BaseMessages>>

  #### Parameters

  - payload: Omit<ExternalAppType, "id" | "customImageUri"> & {
    customImageFile?: File | null;
    id?: string;
    }
  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<ExternalAppType, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/externalApp/externalApp.ts:7